﻿.sticky-top {
    z-index: 1;
}

.rbt-default-sidebar-wrapper .rbt-default-sidebar-list li span {
    font-size: 16px;
    font-weight: 400;
    line-height: 162.023%;
}

ul li,
.rbt-default-sidebar-wrapper .rbt-default-sidebar-list li + li {
    margin: 0;
    border-top: none;
}

.mainmenu-nav li {
    padding: 10px 16px;
    border-radius: 4px;
}

li a {
    width: 100%;
}

li:has(.active) {
    color: #003B8E;
    align-items: center;
    background-color: rgba(7, 16, 239, 0.10);
}

.profile-sidebar {
    padding: 14px;
    border: none;
    box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.10), 0 4px 4px 0 rgba(0, 0, 0, 0.25);
}

.rbt-gradient-border {
    background: transparent;
}

.profile-header {
    padding-bottom: 10px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.10);
    font-size: 14px;
    font-weight: 700;
    line-height: 20px;
}

.profile-info {
    display: flex;
    flex-direction: column;
    align-items: center;
    row-gap: 10px;
    padding: 20px 0;
}

.profile-avatar {
    width: 100px;
    height: 100px;
    border-radius: 9999px;
    overflow: hidden;
}

#avatar {
    height: auto;
}

.profile-avatar img {
    width: 100%;
    object-fit: cover;
}

.profile-name {
    font-size: 18px;
    font-weight: 600;
}

.profile-loading {
    position: absolute;
    inset: 0;
    background: rgba(255, 255, 255, 0.7);
    display: flex;
    justify-content: center;
    z-index: 10;
    min-height: 350px;
    padding-top: 20px;
}

.spinner {
    width: 36px;
    height: 36px;
    border: 4px solid #1B84FF;
    border-top-color: transparent;
    border-radius: 50%;
    animation: spin 0.8s linear infinite;
}

@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}
